Skip to main content
GET
/
trading
/
accounts
/
{accountId}
/
balances
List trading account balances
curl --request GET \
  --url https://api.anchorage-staging.com/v2/trading/accounts/{accountId}/balances \
  --header 'Api-Access-Key: <api-key>'
{
  "data": [
    {
      "balance": {
        "quantity": "250000.00",
        "assetType": "USD",
        "currentPrice": "1.00",
        "currentUSDValue": "250000.00"
      }
    },
    {
      "balance": {
        "quantity": "10000.00000000",
        "assetType": "USDC",
        "currentPrice": "1.00",
        "currentUSDValue": "10000.00"
      }
    },
    {
      "balance": {
        "quantity": "9.00000000",
        "assetType": "BTC",
        "currentPrice": "10000.00",
        "currentUSDValue": "90000.00"
      }
    }
  ]
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Path Parameters

accountId
string
required

The ID of the trading account to get the balances for

Query Parameters

assetType
string

The asset type to display balance for

Response

Successfully returned the balances of the trading account

data
TradingAccountBalance · object[]
required